using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GarmentFactoryContracts.BindingModels;
using GarmentFactoryContracts.SearchModels;
using GarmentFactoryContracts.ViewModels;

namespace GarmentFactoryContracts.StoragesContracts
{
    public interface ITextileStorage
    {
        List<TextileViewModel> GetFullList();
        List<TextileViewModel> GetFilteredList(TextileSearchModel model);
        TextileViewModel? GetElement(TextileSearchModel model);
        TextileViewModel? Insert(TextileBindingModel model);
        TextileViewModel? Update(TextileBindingModel model);
        TextileViewModel? Delete(TextileBindingModel model);
    }
}
